<?php session_start(); ?>
<html class="no-js" lang="es">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>Gestión de citas</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="static/style.css" type="text/css" media="screen"/>
        <link rel="stylesheet" href="static/fullcalendar.css" type="text/css" media="screen"/>
        <script src="static/jquery-3.5.1.min.js"></script>
        <script src="static/jquery-ui.min.js"></script>
        <script src="static/moment.min.js"></script>
        <script src="static/fullcalendar.min.js"></script>
        <script src="calendar.js"></script>
    </head>
    <body>
    <?php include 'navbar.php'; ?>
    <?php
    include 'database.php';

    $pdo = connectDatabase();
    ?>
    <?php if($_SESSION["user_type"] == 2): ?>
        $user = finduser($pdo, $_SESSION["user"]);
        $events = fetchCalendarEvents($pdo, $user[0][4]);
        $holidays = fetchDoctorHolidays($pdo, $user[0][4]);
        $calendar_settings = fetchCalendarSettings($pdo, $user[0][4]);
    <?php else: ?>
        <form name="select_doctor" method="get">
        <?php $doctors = listDoctors($pdo); ?>
        <div class="input-group">
            <select id="medico" name="medico">
                <option>Seleccione un médico</option>
                <?php foreach ($doctors as $row) : ?>
                    <option value="<?php echo $row[0]; ?>"><?php echo $row[1]; ?></option>
                <?php endforeach ?>
            </select>
            <button class="create_btn" type="submit" name="select">Seleccionar</button>
        </div>
        <?php
            $events = fetchCalendarEvents($pdo, $_GET["medico"]);
            $holidays = fetchDoctorHolidays($pdo, $_GET["medico"]);
            $calendar_settings = fetchCalendarSettings($pdo, $_GET["medico"]);
        ?>
    <?php endif; ?>
    <?php closeDatabase($pdo); ?>
        <div class="response"></div>
        <div id="calendar"></div>
    </body>
</html>
